net.minecraft.client.model

## Class ModelRenderer

- java.lang.Object
- - net.minecraft.client.model.ModelRenderer

-     public class ModelRenderer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `boxName`
    `List` | `childModels`
    `List` | `cubeList`
    `float` | `field_82906_o`
    `float` | `field_82907_q`
    `float` | `field_82908_p`
    `boolean` | `isHidden` Hides the model.
    `boolean` | `mirror`
    `float` | `rotateAngleX`
    `float` | `rotateAngleY`
    `float` | `rotateAngleZ`
    `float` | `rotationPointX`
    `float` | `rotationPointY`
    `float` | `rotationPointZ`
    `boolean` | `showModel`
    `float` | `textureHeight` The size of the texture file's height in pixels.
    `float` | `textureWidth` The size of the texture file's width in pixels.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelRenderer(ModelBase par1ModelBase)`
    `ModelRenderer(ModelBase par1ModelBase, int par2, int par3)`
    `ModelRenderer(ModelBase par1ModelBase, String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelRenderer` | `addBox(float par1, float par2, float par3, int par4, int par5, int par6)`
    `void` | `addBox(float par1, float par2, float par3, int par4, int par5, int par6, float par7)` Creates a textured box.
    `ModelRenderer` | `addBox(String par1Str, float par2, float par3, float par4, int par5, int par6, int par7)`
    `void` | `addChild(ModelRenderer par1ModelRenderer)` Sets the current box's rotation points and rotation angles to another box.
    `void` | `postRender(float par1)` Allows the changing of Angles after a box has been rendered
    `void` | `render(float par1)`
    `void` | `renderWithRotation(float par1)`
    `void` | `setRotationPoint(float par1, float par2, float par3)`
    `ModelRenderer` | `setTextureOffset(int par1, int par2)`
    `ModelRenderer` | `setTextureSize(int par1, int par2)` Returns the model renderer with the new texture parameters.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### textureWidth

          public float textureWidth

      The size of the texture file's width in pixels.

    - #### textureHeight

          public float textureHeight

      The size of the texture file's height in pixels.

    - #### rotationPointX

          public float rotationPointX

    - #### rotationPointY

          public float rotationPointY

    - #### rotationPointZ

          public float rotationPointZ

    - #### rotateAngleX

          public float rotateAngleX

    - #### rotateAngleY

          public float rotateAngleY

    - #### rotateAngleZ

          public float rotateAngleZ

    - #### mirror

          public boolean mirror

    - #### showModel

          public boolean showModel

    - #### isHidden

          public boolean isHidden

      Hides the model.

    - #### cubeList

          public List cubeList

    - #### childModels

          public List childModels

    - #### boxName

          public final String boxName

    - #### field_82906_o

          public float field_82906_o

    - #### field_82908_p

          public float field_82908_p

    - #### field_82907_q

          public float field_82907_q

  - ### Constructor Detail

    - #### ModelRenderer

          public ModelRenderer(ModelBase par1ModelBase,
                       String par2Str)

    - #### ModelRenderer

          public ModelRenderer(ModelBase par1ModelBase)

    - #### ModelRenderer

          public ModelRenderer(ModelBase par1ModelBase,
                       int par2,
                       int par3)

  - ### Method Detail

    - #### addChild

          public void addChild(ModelRenderer par1ModelRenderer)

      Sets the current box's rotation points and rotation angles to another box.

    - #### setTextureOffset

          public ModelRenderer setTextureOffset(int par1,
                                       int par2)

    - #### addBox

          public ModelRenderer addBox(String par1Str,
                             float par2,
                             float par3,
                             float par4,
                             int par5,
                             int par6,
                             int par7)

    - #### addBox

          public ModelRenderer addBox(float par1,
                             float par2,
                             float par3,
                             int par4,
                             int par5,
                             int par6)

    - #### addBox

          public void addBox(float par1,
                    float par2,
                    float par3,
                    int par4,
                    int par5,
                    int par6,
                    float par7)

      Creates a textured box. Args: originX, originY, originZ, width, height, depth, scaleFactor.

    - #### setRotationPoint

          public void setRotationPoint(float par1,
                              float par2,
                              float par3)

    - #### render

          public void render(float par1)

    - #### renderWithRotation

          public void renderWithRotation(float par1)

    - #### postRender

          public void postRender(float par1)

      Allows the changing of Angles after a box has been rendered

    - #### setTextureSize

          public ModelRenderer setTextureSize(int par1,
                                     int par2)

      Returns the model renderer with the new texture parameters.